commit:     aad1839d47c58d5140e72e9eecf1bb57fb032c34
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Fri May 31 08:46:11 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Fri May 31 08:46:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=aad1839d

Revert "www-client/woob: treeclean"

This reverts commit ca4c03d60b5e125b87c88443aa3f4eddc031b104.

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 www-client/woob/Manifest           |  1 +
 www-client/woob/metadata.xml       | 11 +++++++
 www-client/woob/woob-3.1-r1.ebuild | 63 ++++++++++++++++++++++++++++++++++++++
 www-client/woob/woob-9999.ebuild   | 63 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 138 insertions(+)

diff --git a/www-client/woob/Manifest b/www-client/woob/Manifest
new file mode 100644
index 000000000..d43bd72c4
--- /dev/null
+++ b/www-client/woob/Manifest
@@ -0,0 +1 @@
+DIST woob-3.1.tar.bz2 2793058 BLAKE2B 
a65efa69689c2ae6fe3fb6cf72d66b481b00c59debc31577d205468343d9599483e98335103df278186d2c0ba2804684945ac6a2aebc65e2ad39b2544cdd29a5
 SHA512 
1a00f840ff7e16f07dc532778aa73b316df9450419910062dd406db05aae21bf01122739b4a63fd7adae6ee3eb22eedd90928741a387dc9d2c2730d81cabfb1f

diff --git a/www-client/woob/metadata.xml b/www-client/woob/metadata.xml
new file mode 100644
index 000000000..81b3a6ed3
--- /dev/null
+++ b/www-client/woob/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>cont...@hacktivis.me</email>
+               <name>Haelwenn (lanodan) Monnier</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="gitlab">woob/woob</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/www-client/woob/woob-3.1-r1.ebuild 
b/www-client/woob/woob-3.1-r1.ebuild
new file mode 100644
index 000000000..3591bf4d3
--- /dev/null
+++ b/www-client/woob/woob-3.1-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://gitlab.com/${PN}/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://gitlab.com/${PN}/${PN}/-/archive/${PV}/${P}.tar.bz2";
+       KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Web Outside Of Browsers (core, site modules and applications)"
+HOMEPAGE="https://woob.tech https://gitlab.com/woob/woob";
+LICENSE="LGPL-3+"
+SLOT="0"
+
+RDEPEND="
+       dev-python/lxml[${PYTHON_USEDEP}]
+       dev-python/cssselect[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/html2text[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/unidecode[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/Babel[${PYTHON_USEDEP}]
+
+       dev-python/feedparser[${PYTHON_USEDEP}]
+       dev-python/prettytable[${PYTHON_USEDEP}]
+       dev-python/python-jose[${PYTHON_USEDEP}]
+       dev-python/selenium[${PYTHON_USEDEP}]
+       dev-python/termcolor[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       sci-geosciences/geopy[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs/source
+
+src_prepare() {
+       default
+
+       # doctests depending on a network connection
+       sed -i -e '/browsers.py/d' -e '/pages.py/d' setup.cfg || die
+}
+
+python_test() {
+       epytest --doctest-modules
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       insinto /usr/share/${PN}/
+       doins -r contrib
+}

diff --git a/www-client/woob/woob-9999.ebuild b/www-client/woob/woob-9999.ebuild
new file mode 100644
index 000000000..3591bf4d3
--- /dev/null
+++ b/www-client/woob/woob-9999.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://gitlab.com/${PN}/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://gitlab.com/${PN}/${PN}/-/archive/${PV}/${P}.tar.bz2";
+       KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Web Outside Of Browsers (core, site modules and applications)"
+HOMEPAGE="https://woob.tech https://gitlab.com/woob/woob";
+LICENSE="LGPL-3+"
+SLOT="0"
+
+RDEPEND="
+       dev-python/lxml[${PYTHON_USEDEP}]
+       dev-python/cssselect[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/html2text[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/unidecode[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/Babel[${PYTHON_USEDEP}]
+
+       dev-python/feedparser[${PYTHON_USEDEP}]
+       dev-python/prettytable[${PYTHON_USEDEP}]
+       dev-python/python-jose[${PYTHON_USEDEP}]
+       dev-python/selenium[${PYTHON_USEDEP}]
+       dev-python/termcolor[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       sci-geosciences/geopy[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs/source
+
+src_prepare() {
+       default
+
+       # doctests depending on a network connection
+       sed -i -e '/browsers.py/d' -e '/pages.py/d' setup.cfg || die
+}
+
+python_test() {
+       epytest --doctest-modules
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       insinto /usr/share/${PN}/
+       doins -r contrib
+}

Reply via email to